listview_renderer_table.log_messages = {
	'sev' : {
		'header' : _('Severity'),
		'depends' : [ 'severity', 'severity_text' ],
		'sort' : [ 'severity' ],
		'cell' : function(args) {
			return $('<td />')
				.append( $( '<span>' ).addClass( 'icon-16 x16-syslog-' + args.obj.severity_text ) )
				.append( $( '<span>' )
					.css( {'vertical-align': 'middle'} )
					.update_text( args.obj.severity + ': ' + args.obj.severity_text )
				);
		}
	},
	'fac' : {
		'header' : _('Facility'),
		'depends' : [ 'facility', 'facility_text' ],
		'sort' : [ 'facility' ],
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.facility + ': ' + args.obj.facility_text);
		}
	},
	'rtime' : {
		'header' : _('Receive time'),
		'depends' : [ 'rtime' ],
		'sort' : [ 'rtime' ],
		'cell' : function(args) {
			return $('<td />').css('white-space', 'nowrap').update_text(
					format_timestamp(args.obj.rtime));
		}
	},
	'mtime' : {
		'header' : _('Message time'),
		'depends' : [ 'mtime' ],
		'sort' : [ 'mtime' ],
		'cell' : function(args) {
			return $('<td />').css('white-space', 'nowrap').update_text(
					format_timestamp(args.obj.mtime));
		}
	},
	'event' : {
		'header' : _('Event ID'),
		'depends' : [ 'event' ],
		'sort' : [ 'event' ],
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.event);
		}
	},
	'ip' : {
		'header' : _('Source IP address'),
		'depends' : [ 'ip' ],
		'sort' : [ 'ip' ],
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.ip);
		}
	},
	'ident' : {
		'header' : _('Ident'),
		'depends' : [ 'ident' ],
		'sort' : [ 'ident' ],
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.ident);
		}
	},
	'host' : {
		'header' : _('Host'),
		'depends' : [ 'host' ],
		'sort' : [ 'host' ],
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.host);
		}
	},
	'pid' : {
		'header' : _('PID'),
		'depends' : [ 'pid' ],
		'sort' : false,
		'cell' : function(args) {
			return $('<td />').update_text(args.obj.pid);
		}
	},
	'msg' : {
		'header' : _('Message'),
		'depends' : [ 'msg' ],
		'sort' : [ 'msg' ],
		'cell' : function(args) {
			return $('<td class="restricted-output"/>').update_text(args.obj.msg);
		}
	}
};
